#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Assuan - an IPC library for non-persistent servers
Summary(pl.UTF-8):	Assuan - biblioteka IPC dla serwerów nie działających ciągle
Name:		libassuan
Version:	2.1.3
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/libassuan/%{name}-%{version}.tar.bz2
# Source0-md5:	b5373485419a7e2c23457d20811caabe
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-am.patch
Patch3:		%{name}-texinfo.patch
URL:		http://www.gnupg.org/related_software/libassuan/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	libgpg-error-devel >= 1.8
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	texinfo
Requires:	libgpg-error >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the IPC library used by GnuPG 2, GPGME and a few other
packages. It used to be included with the latter packages but the
authors decided to make your life not too easy and separated it out to
a stand alone library.

%description -l pl.UTF-8
To jest biblioteka komunikacji międzyprocesowej (IPC) używana przez
GnuPG 2, GPGME oraz parę innych pakietów. Była dołączana do tych
pakietów, ale autorzy zdecydowali, żeby już nie ułatwiać tak życia i
wydzielili ją.

%package devel
Summary:	Header files for assuan library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki assuan
Group:		Development/Libraries
Conflicts:	libassuan1-devel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgpg-error-devel >= 1.8

%description devel
Header files for assuan library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki assuan.

%package static
Summary:	Static assuan library
Summary(pl.UTF-8):	Statyczna biblioteka assuan
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static assuan library.

%description static -l pl.UTF-8
Statyczna biblioteka assuan.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libassuan.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libassuan.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libassuan-config
%attr(755,root,root) %{_libdir}/libassuan.so
%{_libdir}/libassuan.la
%{_includedir}/assuan.h
%{_aclocaldir}/libassuan.m4
%{_infodir}/assuan.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libassuan.a
%endif
%changelog
* Sun Nov 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libassuan.git;a=log;h=master

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 94005fa
- updated to 2.1.3

* Sun Aug 24 2014 Jakub Bogusz <qboosh@pld-linux.org> cfae4cc
- updated to 2.1.2

* Wed Jun 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 93a0897
- updated to 2.1.1
- added texinfo patch (fixes build with texinfo 5.x)

* Sat Mar 02 2013 Jakub Bogusz <qboosh@pld-linux.org> eed664e
- updated to 2.1.0
- added am patch (fixes build with automake 1.13)

* Mon Dec 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 1003831
- updated to 2.0.3

* Sat Jun 18 2011 Jakub Bogusz <qboosh@pld-linux.org> ead1f72
- updated to 2.0.2
- updated ac patch

* Tue Aug 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 51c6fc9
- updated libgpg-error version

* Mon Aug 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 64e6a88
- updated to 2.0.1
- updated ac patch

* Tue Mar 30 2010 shadzik <shadzik@pld-linux.org> e78028b
- C: libassuan1-devel

* Fri Jan 29 2010 Jakub Bogusz <qboosh@pld-linux.org> eeebbc9
- updated to 2.0.0
- removed obsolete shared patch

* Tue May 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 8dda6e3
- updated to 1.0.5
- added ac patch

* Tue May 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 376f7e5
- add missing templates for AC_GNU_SOURCE defines
- we build shared libassuan, so we don't need PIC in static library

* Tue Feb 26 2008 Elan Ruusamäe <glen@pld-linux.org> 7cbf113
- release 2

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> f155d83
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Fri Dec 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 421a878
- updated to 1.0.4

* Mon Aug 27 2007 Jakub Bogusz <qboosh@pld-linux.org> dcab0bf
- updated to 1.0.3
- License temporarily back to LGPL v2.1+

* Fri Jul 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 0c7a453
- updated to 1.0.2 (LGPL v3)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c8f5d63
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ec7225f
- converted to UTF-8

* Fri Nov 24 2006 Elan Ruusamäe <glen@pld-linux.org> dfb8334
- check-files cleanup

